package com.xinelu.manage.domain.normdepartmentcompare;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 标准科室对照信息对象 norm_department_compare
 *
 * @author xinelu
 * @date 2024-02-28
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "标准科室对照信息对象", description = "norm_department_compare")
public class NormDepartmentCompare extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 所属科室id
     */
    @ApiModelProperty(value = "所属科室id")
    @Excel(name = "所属科室id")
    private Long departmentId;

    /**
     * 所属科室名称
     */
    @ApiModelProperty(value = "所属科室名称")
    @Excel(name = "所属科室名称")
    private String departmentName;

    /**
     * 标准对照名称
     */
    @ApiModelProperty(value = "标准对照名称")
    @Excel(name = "标准对照名称")
    private String normCompareName;

    /**
     * 标准对照编码
     */
    @ApiModelProperty(value = "标准对照编码")
    @Excel(name = "标准对照编码")
    private String normCompareCode;

    /**
     * 标准对照排序
     */
    @ApiModelProperty(value = "标准对照排序")
    @Excel(name = "标准对照排序")
    private Integer normCompareSort;

    /**
     * 标准对照概述
     */
    @ApiModelProperty(value = "标准对照概述")
    @Excel(name = "标准对照概述")
    private String normCompareRemark;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("departmentId", getDepartmentId())
                .append("departmentName", getDepartmentName())
                .append("normCompareName", getNormCompareName())
                .append("normCompareCode", getNormCompareCode())
                .append("normCompareSort", getNormCompareSort())
                .append("normCompareRemark", getNormCompareRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
